org.eclipse.oomph.base.util

## Class BaseResourceImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.common.notify.impl.NotifierImpl
    - - org.eclipse.emf.ecore.resource.impl.ResourceImpl
      - - org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
        - - org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl
          - - org.eclipse.oomph.base.util.BaseResourceImpl

- All Implemented Interfaces:
    Notifier, Resource, Resource.Internal, XMIResource, XMLResource, BaseResource

      public class BaseResourceImpl
      extends XMIResourceImpl
      implements BaseResource

  The Resource associated with the package.
  See Also:
    `BaseResourceFactoryImpl`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `ResourceImpl.ContentsEList<E extends Object & EObject>, ResourceImpl.ModificationTrackingAdapter`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `XMLResource.ElementHandler, XMLResource.MissingPackageHandler, XMLResource.ResourceEntityHandler, XMLResource.ResourceHandler, XMLResource.URIHandler, XMLResource.XMLInfo, XMLResource.XMLMap`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource

      `Resource.Diagnostic, Resource.Factory, Resource.Internal, Resource.IOWrappedException`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl

      `DETACHED_EOBJECT_TO_ID_MAP, domHandler, encoding, eObjectToExtensionMap, eObjectToIDMap, idToEObjectMap, publicId, systemId, useZip, xmlVersion`

    - ### Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `contents, defaultDeleteOptions, defaultLoadOptions, defaultSaveOptions, errors, intrinsicIDToEObjectMap, isLoaded, isLoading, isModified, modificationTrackingAdapter, resourceSet, timeStamp, unloadingContents, uri, warnings`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.xmi.XMIResource

      `OPTION_SUPPRESS_XMI, OPTION_USE_XMI_TYPE, VERSION_2_1_VALUE, VERSION_NAME, VERSION_VALUE, XMI_2_1_URI, XMI_2_4_NAMESPACE_PREFIX, XMI_ID, XMI_NAMESPACE_PREFIX, XMI_NS, XMI_TAG_NAME, XMI_URI`

    - ### Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `HREF, NIL, NO_NAMESPACE_SCHEMA_LOCATION, OPTION_ANY_SIMPLE_TYPE, OPTION_ANY_TYPE, OPTION_BINARY, OPTION_CONFIGURATION_CACHE, OPTION_DECLARE_XML, OPTION_DEFER_ATTACHMENT, OPTION_DEFER_IDREF_RESOLUTION, OPTION_DISABLE_NOTIFY, OPTION_DOM_USE_NAMESPACES_IN_SCOPE, OPTION_ELEMENT_HANDLER, OPTION_ENCODING, OPTION_ESCAPE_USING_CDATA, OPTION_EXTENDED_META_DATA, OPTION_FLUSH_THRESHOLD, OPTION_FORMATTED, OPTION_KEEP_DEFAULT_CONTENT, OPTION_LAX_FEATURE_PROCESSING, OPTION_LAX_WILDCARD_PROCESSING, OPTION_LINE_WIDTH, OPTION_MISSING_PACKAGE_HANDLER, OPTION_PARSER_FEATURES, OPTION_PARSER_PROPERTIES, OPTION_PROCESS_DANGLING_HREF, OPTION_PROCESS_DANGLING_HREF_DISCARD, OPTION_PROCESS_DANGLING_HREF_RECORD, OPTION_PROCESS_DANGLING_HREF_THROW, OPTION_PROXY_ATTRIBUTES, OPTION_RECORD_ANY_TYPE_NAMESPACE_DECLARATIONS, OPTION_RECORD_UNKNOWN_FEATURE, OPTION_RESOURCE_ENTITY_HANDLER, OPTION_RESOURCE_HANDLER, OPTION_ROOT_OBJECTS, OPTION_SAVE_DOCTYPE, OPTION_SAVE_TYPE_INFORMATION, OPTION_SCHEMA_LOCATION, OPTION_SCHEMA_LOCATION_IMPLEMENTATION, OPTION_SKIP_ESCAPE, OPTION_SKIP_ESCAPE_URI, OPTION_SUPPRESS_DOCUMENT_ROOT, OPTION_URI_HANDLER, OPTION_USE_CACHED_LOOKUP_TABLE, OPTION_USE_DEPRECATED_METHODS, OPTION_USE_ENCODED_ATTRIBUTE_STYLE, OPTION_USE_FILE_BUFFER, OPTION_USE_LEXICAL_HANDLER, OPTION_USE_PACKAGE_NS_URI_AS_LOCATION, OPTION_USE_PARSER_POOL, OPTION_USE_XML_NAME_TO_FEATURE_MAP, OPTION_XML_MAP, OPTION_XML_OPTIONS, OPTION_XML_VERSION, SCHEMA_LOCATION, TYPE, XML_NS, XML_SCHEMA_URI, XSI_NS, XSI_URI`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.Resource

      `OPTION_CIPHER, OPTION_LINE_DELIMITER, OPTION_LINE_DELIMITER_UNSPECIFIED, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseResourceImpl(URI uri)` Creates an instance of the resource.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected XMLHelper` | `createXMLHelper()`
    `protected XMLLoad` | `createXMLLoad()`
    `protected XMLSave` | `createXMLSave()`
    `void` | `doLoad(InputStream inputStream, Map<?,?> options)`

    - ### Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl

      `createXMLLoad, createXMLSave, getXMINamespace, getXMIVersion, setXMINamespace, setXMIVersion, useIDs`

    - ### Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl

      `assignIDsWhileLoading, attachedHelper, createEObjectInputStream, createEObjectOutputStream, detachedHelper, doLoad, doLoad, doSave, doSave, doUnload, getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectByID, getEObjectToExtensionMap, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getURIFragment, getXMLVersion, init, isAttachedDetachedHelperRequired, isPath, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, toKeyString, useIDAttributes, useUUIDs, useZip`

    - ### Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `addModificationTrackingAdapters, attached, basicSetResourceSet, createModificationTrackingAdapter, delete, detached, getAllContents, getAllProperContents, getAllProperContents, getContents, getDefaultURIConverter, getEObject, getEObject, getEObjectForURIFragmentRootSegment, getErrors, getIntrinsicIDToEObjectMap, getResourceSet, getTimeStamp, getURI, getURIConverter, getURIFragmentRootSegment, getWarnings, handleLoadResponse, handleSaveResponse, isContentZipEntry, isLoaded, isLoading, isModified, isTrackingModification, load, load, mergeMaps, newContentZipEntry, removeModificationTrackingAdapters, save, save, saveOnlyIfChangedWithFileBuffer, saveOnlyIfChangedWithMemoryBuffer, setIntrinsicIDToEObjectMap, setLoaded, setModified, setTimeStamp, setTrackingModification, setURI, toString, unload, unloaded`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.xmi.XMIResource

      `getXMINamespace, getXMIVersion, setXMINamespace, setXMIVersion`

    - ### Methods inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectToExtensionMap, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getXMLVersion, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, useZip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource

      `delete, getAllContents, getContents, getEObject, getErrors, getResourceSet, getTimeStamp, getURI, getURIFragment, getWarnings, isLoaded, isModified, isTrackingModification, load, load, save, save, setModified, setTimeStamp, setTrackingModification, setURI, unload`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Constructor Detail

    - #### BaseResourceImpl

          public BaseResourceImpl(URI uri)

      Creates an instance of the resource.
      Parameters:
        `uri` - the URI of the new resource.
      Generated

  - ### Method Detail

    - #### doLoad

          public void doLoad(InputStream inputStream,
                    Map<?,?> options)
                      throws IOException

      Overrides:
        `doLoad` in class `XMLResourceImpl`
      Throws:
        `IOException`

    - #### createXMLLoad

          protected XMLLoad createXMLLoad()

      Overrides:
        `createXMLLoad` in class `XMIResourceImpl`

    - #### createXMLSave

          protected XMLSave createXMLSave()

      Overrides:
        `createXMLSave` in class `XMIResourceImpl`

    - #### createXMLHelper

          protected XMLHelper createXMLHelper()

      Overrides:
        `createXMLHelper` in class `XMIResourceImpl`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html